/*
 * © NHN Corp. All rights reserved.
 * NHN Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.toast.android.gamebase.sample;

import androidx.multidex.MultiDexApplication;

public class GamebaseApplication extends MultiDexApplication {

    private static final String TAG = GamebaseApplication.class.getSimpleName();

    ////////////////////////////////////////////////////////////////////////////////
    //
    // Gamebase SDK Required
    //
    ////////////////////////////////////////////////////////////////////////////////
    @Override
    public void onCreate() {
        super.onCreate();

        // Initialize TOAST Logger
        if (GamebaseManager.LOG_AND_CRASH_APPKEY != null &&
                !GamebaseManager.LOG_AND_CRASH_APPKEY.isEmpty()) {
            GamebaseManager.initializeToastLogger(getApplicationContext());
            GamebaseManager.setToastLoggerListener();
        }
    }
}
